(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define("TCXemojione", [], factory);
	else if(typeof exports === 'object')
		exports["TCXemojione"] = factory();
	else
		root["TCXemojione"] = factory();
})(self, function() {
return /******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 782:
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.convertTextToEmoji = void 0;
var emojiMapping = __webpack_require__(197);
var MAX_EMOJI_LENGTH = 8;
function convertTextToEmoji(text, phoneSystemUrl) {
    if (!phoneSystemUrl) {
        phoneSystemUrl = '';
    }
    if (!text) {
        return '';
    }
    var textArray = Array.from(text);
    for (var i = 0; i < textArray.length; i += 1) {
        var mappingNode = emojiMapping;
        var emojiFile = [];
        var intermediateEmojiFile = [];
        for (var k = i; k < Math.min(i + MAX_EMOJI_LENGTH, textArray.length); k += 1) {
            var codePoint = textArray[k].codePointAt(0); // .toString(16);
            var charCode = codePoint ? codePoint.toString(16) : '';
            while (charCode.length < 4) {
                charCode = "0" + charCode;
            }
            // eslint-disable-next-line no-prototype-builtins
            if (mappingNode.s.hasOwnProperty(charCode)) {
                intermediateEmojiFile.push(charCode);
                if (mappingNode.s[charCode] === 0 || mappingNode.s[charCode].e === 1) {
                    emojiFile.push.apply(emojiFile, intermediateEmojiFile);
                    intermediateEmojiFile = [];
                }
                // eslint-disable-next-line no-prototype-builtins
                if (mappingNode.s[charCode] !== 0 && mappingNode.s[charCode].hasOwnProperty('s')) {
                    // we found an end of the path
                    mappingNode = mappingNode.s[charCode];
                }
                else {
                    break;
                }
            }
            else {
                break;
            }
        }
        if (emojiFile.length > 0) {
            var alt = void 0;
            if (emojiFile.length > 1) {
                alt = textArray.splice(i, emojiFile.length, '').join('');
            }
            else {
                alt = textArray[i];
            }
            textArray[i] = "<img src=\"" + phoneSystemUrl + emojiFile.filter(function (x) { return x !== 'fe0f' && x !== '200d'; }).join('-') + ".png\" alt=\"" + alt + "\" class=\"emoji\">";
        }
    }
    return textArray.join('');
}
exports.convertTextToEmoji = convertTextToEmoji;


/***/ }),

/***/ 197:
/***/ ((module) => {

module.exports = JSON.parse("{\"s\":{\"2049\":0,\"2122\":0,\"2139\":0,\"2194\":0,\"2195\":0,\"2196\":0,\"2197\":0,\"2198\":0,\"2199\":0,\"2328\":0,\"2600\":0,\"2601\":0,\"2602\":0,\"2603\":0,\"2604\":0,\"2611\":0,\"2614\":0,\"2615\":0,\"2618\":0,\"2620\":0,\"2622\":0,\"2623\":0,\"2626\":0,\"2638\":0,\"2639\":0,\"2640\":0,\"2642\":0,\"2648\":0,\"2649\":0,\"2650\":0,\"2651\":0,\"2652\":0,\"2653\":0,\"2660\":0,\"2663\":0,\"2665\":0,\"2666\":0,\"2668\":0,\"2692\":0,\"2693\":0,\"2694\":0,\"2695\":0,\"2696\":0,\"2697\":0,\"2699\":0,\"2702\":0,\"2705\":0,\"2708\":0,\"2709\":0,\"2712\":0,\"2714\":0,\"2716\":0,\"2721\":0,\"2728\":0,\"2733\":0,\"2734\":0,\"2744\":0,\"2747\":0,\"2753\":0,\"2754\":0,\"2755\":0,\"2757\":0,\"2763\":0,\"2764\":0,\"2795\":0,\"2796\":0,\"2797\":0,\"2934\":0,\"2935\":0,\"3030\":0,\"3297\":0,\"3299\":0,\"1f9e1\":0,\"1f49b\":0,\"1f49a\":0,\"1f499\":0,\"1f49c\":0,\"1f5a4\":0,\"1f494\":0,\"1f495\":0,\"1f49e\":0,\"1f493\":0,\"1f497\":0,\"1f496\":0,\"1f498\":0,\"1f49d\":0,\"1f49f\":0,\"262e\":0,\"271d\":0,\"262a\":0,\"1f549\":0,\"1f52f\":0,\"1f54e\":0,\"262f\":0,\"1f6d0\":0,\"26ce\":0,\"264a\":0,\"264b\":0,\"264c\":0,\"264d\":0,\"264e\":0,\"264f\":0,\"1f194\":0,\"269b\":0,\"267e\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f251\":0,\"1f4f4\":0,\"1f4f3\":0,\"1f236\":0,\"1f21a\":0,\"1f238\":0,\"1f23a\":0,\"1f237\":0,\"1f19a\":0,\"1f4ae\":0,\"1f250\":0,\"1f234\":0,\"1f235\":0,\"1f239\":0,\"1f232\":0,\"1f170\":0,\"1f171\":0,\"1f18e\":0,\"1f191\":0,\"1f17e\":0,\"1f198\":0,\"274c\":0,\"2b55\":0,\"1f6d1\":0,\"26d4\":0,\"1f4db\":0,\"1f6ab\":0,\"1f4af\":0,\"1f4a2\":0,\"1f6b7\":0,\"1f6af\":0,\"1f6b3\":0,\"1f6b1\":0,\"1f51e\":0,\"1f4f5\":0,\"1f6ad\":0,\"203c\":0,\"1f505\":0,\"1f506\":0,\"303d\":0,\"26a0\":0,\"1f6b8\":0,\"1f531\":0,\"269c\":0,\"1f530\":0,\"267b\":0,\"1f22f\":0,\"1f4b9\":0,\"274e\":0,\"1f310\":0,\"1f4a0\":0,\"24c2\":0,\"1f300\":0,\"1f4a4\":0,\"1f3e7\":0,\"1f6be\":0,\"267f\":0,\"1f17f\":0,\"1f233\":0,\"1f202\":0,\"1f6c2\":0,\"1f6c3\":0,\"1f6c4\":0,\"1f6c5\":0,\"1f6b9\":0,\"1f6ba\":0,\"1f6bc\":0,\"1f6bb\":0,\"1f6ae\":0,\"1f3a6\":0,\"1f4f6\":0,\"1f201\":0,\"1f523\":0,\"1f524\":0,\"1f521\":0,\"1f520\":0,\"1f196\":0,\"1f197\":0,\"1f199\":0,\"1f192\":0,\"1f195\":0,\"1f193\":0,\"0030\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0031\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0032\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0033\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0034\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0035\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0036\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0037\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0038\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"0039\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"1f51f\":0,\"1f522\":0,\"0023\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"002a\":{\"e\":0,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"20e3\":0}}}},\"23cf\":0,\"25b6\":0,\"23f8\":0,\"23ef\":0,\"23f9\":0,\"23fa\":0,\"23ed\":0,\"23ee\":0,\"23e9\":0,\"23ea\":0,\"23eb\":0,\"23ec\":0,\"25c0\":0,\"1f53c\":0,\"1f53d\":0,\"27a1\":0,\"2b05\":0,\"2b06\":0,\"2b07\":0,\"21aa\":0,\"21a9\":0,\"1f500\":0,\"1f501\":0,\"1f502\":0,\"1f504\":0,\"1f503\":0,\"1f3b5\":0,\"1f3b6\":0,\"1f4b2\":0,\"1f4b1\":0,\"00a9\":0,\"00ae\":0,\"27b0\":0,\"27bf\":0,\"1f51a\":0,\"1f519\":0,\"1f51b\":0,\"1f51d\":0,\"1f51c\":0,\"1f518\":0,\"26aa\":0,\"26ab\":0,\"1f534\":0,\"1f535\":0,\"1f53a\":0,\"1f53b\":0,\"1f538\":0,\"1f539\":0,\"1f536\":0,\"1f537\":0,\"1f533\":0,\"1f532\":0,\"25aa\":0,\"25ab\":0,\"25fe\":0,\"25fd\":0,\"25fc\":0,\"25fb\":0,\"2b1b\":0,\"2b1c\":0,\"1f508\":0,\"1f507\":0,\"1f509\":0,\"1f50a\":0,\"1f514\":0,\"1f515\":0,\"1f4e3\":0,\"1f4e2\":0,\"1f5e8\":0,\"1f441\":{\"e\":1,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"200d\":{\"e\":0,\"s\":{\"1f5e8\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}}}},\"1f4ac\":0,\"1f4ad\":0,\"1f5ef\":0,\"1f0cf\":0,\"1f3b4\":0,\"1f004\":0,\"1f550\":0,\"1f551\":0,\"1f552\":0,\"1f553\":0,\"1f554\":0,\"1f555\":0,\"1f556\":0,\"1f557\":0,\"1f558\":0,\"1f559\":0,\"1f55a\":0,\"1f55b\":0,\"1f55c\":0,\"1f55d\":0,\"1f55e\":0,\"1f55f\":0,\"1f560\":0,\"1f561\":0,\"1f562\":0,\"1f563\":0,\"1f564\":0,\"1f565\":0,\"1f566\":0,\"1f567\":0,\"26bd\":0,\"1f3c0\":0,\"1f3c8\":0,\"26be\":0,\"1f94e\":0,\"1f3be\":0,\"1f3d0\":0,\"1f3c9\":0,\"1f3b1\":0,\"1f3d3\":0,\"1f3f8\":0,\"1f945\":0,\"1f3d2\":0,\"1f3d1\":0,\"1f3cf\":0,\"1f94d\":0,\"26f3\":0,\"1f94f\":0,\"1f3f9\":0,\"1f3a3\":0,\"1f94a\":0,\"1f94b\":0,\"1f3bd\":0,\"1f6f9\":0,\"26f8\":0,\"1f94c\":0,\"1f6f7\":0,\"1f3bf\":0,\"26f7\":0,\"1f3c2\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f3cb\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"fe0f\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}}}},\"1f93c\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f938\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"26f9\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"fe0f\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}}}},\"1f93a\":0,\"1f93e\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3cc\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"fe0f\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}}}},\"1f3c7\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f9d8\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3c4\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ca\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f93d\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f6a3\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9d7\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f6b5\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f6b4\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3c6\":0,\"1f947\":0,\"1f948\":0,\"1f949\":0,\"1f3c5\":0,\"1f396\":0,\"1f3f5\":0,\"1f397\":0,\"1f3ab\":0,\"1f39f\":0,\"1f3aa\":0,\"1f939\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ad\":0,\"1f3a8\":0,\"1f3ac\":0,\"1f3a4\":0,\"1f3a7\":0,\"1f3bc\":0,\"1f3b9\":0,\"1f941\":0,\"1f3b7\":0,\"1f3ba\":0,\"1f3b8\":0,\"1f3bb\":0,\"1f3b2\":0,\"1f3af\":0,\"1f3b3\":0,\"1f3ae\":0,\"1f3b0\":0,\"231a\":0,\"1f4f1\":0,\"1f4f2\":0,\"1f4bb\":0,\"1f5a5\":0,\"1f5a8\":0,\"1f5b1\":0,\"1f5b2\":0,\"1f579\":0,\"265f\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9e9\":0,\"1f5dc\":0,\"1f4bd\":0,\"1f4be\":0,\"1f4bf\":0,\"1f4c0\":0,\"1f4fc\":0,\"1f4f7\":0,\"1f4f8\":0,\"1f4f9\":0,\"1f3a5\":0,\"1f4fd\":0,\"1f39e\":0,\"1f4de\":0,\"260e\":0,\"1f4df\":0,\"1f4e0\":0,\"1f4fa\":0,\"1f4fb\":0,\"1f399\":0,\"1f39a\":0,\"1f39b\":0,\"23f1\":0,\"23f2\":0,\"23f0\":0,\"1f570\":0,\"231b\":0,\"23f3\":0,\"1f4e1\":0,\"1f9ed\":0,\"1f50b\":0,\"1f50c\":0,\"1f9f2\":0,\"1f4a1\":0,\"1f526\":0,\"1f56f\":0,\"1f9ef\":0,\"1f5d1\":0,\"1f6e2\":0,\"1f4b8\":0,\"1f4b5\":0,\"1f4b4\":0,\"1f4b6\":0,\"1f4b7\":0,\"1f4b0\":0,\"1f4b3\":0,\"1f48e\":0,\"1f9ff\":0,\"1f9f1\":0,\"1f9f0\":0,\"1f527\":0,\"1f528\":0,\"1f6e0\":0,\"26cf\":0,\"1f529\":0,\"26d3\":0,\"1f52b\":0,\"1f4a3\":0,\"1f52a\":0,\"1f5e1\":0,\"1f6e1\":0,\"1f6ac\":0,\"26b0\":0,\"26b1\":0,\"1f3fa\":0,\"1f52e\":0,\"1f4ff\":0,\"1f488\":0,\"1f9ea\":0,\"1f9eb\":0,\"1f9ec\":0,\"1f9ee\":0,\"1f52d\":0,\"1f52c\":0,\"1f573\":0,\"1f48a\":0,\"1f489\":0,\"1f321\":0,\"1f6bd\":0,\"1f6b0\":0,\"1f6bf\":0,\"1f6c1\":0,\"1f6c0\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f9f9\":0,\"1f9fa\":0,\"1f9fb\":0,\"1f9fc\":0,\"1f9fd\":0,\"1f9f4\":0,\"1f9f5\":0,\"1f9f6\":0,\"1f6ce\":0,\"1f511\":0,\"1f5dd\":0,\"1f6aa\":0,\"1f6cb\":0,\"1f6cf\":0,\"1f6cc\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f9f8\":0,\"1f5bc\":0,\"1f6cd\":0,\"1f6d2\":0,\"1f381\":0,\"1f388\":0,\"1f38f\":0,\"1f380\":0,\"1f38a\":0,\"1f389\":0,\"1f38e\":0,\"1f3ee\":0,\"1f390\":0,\"1f9e7\":0,\"1f4e9\":0,\"1f4e8\":0,\"1f4e7\":0,\"1f48c\":0,\"1f4e5\":0,\"1f4e4\":0,\"1f4e6\":0,\"1f3f7\":0,\"1f4ea\":0,\"1f4eb\":0,\"1f4ec\":0,\"1f4ed\":0,\"1f4ee\":0,\"1f4ef\":0,\"1f4dc\":0,\"1f4c3\":0,\"1f4c4\":0,\"1f9fe\":0,\"1f4d1\":0,\"1f4ca\":0,\"1f4c8\":0,\"1f4c9\":0,\"1f5d2\":0,\"1f5d3\":0,\"1f4c6\":0,\"1f4c5\":0,\"1f4c7\":0,\"1f5c3\":0,\"1f5f3\":0,\"1f5c4\":0,\"1f4cb\":0,\"1f4c1\":0,\"1f4c2\":0,\"1f5c2\":0,\"1f5de\":0,\"1f4f0\":0,\"1f4d3\":0,\"1f4d4\":0,\"1f4d2\":0,\"1f4d5\":0,\"1f4d7\":0,\"1f4d8\":0,\"1f4d9\":0,\"1f4da\":0,\"1f4d6\":0,\"1f516\":0,\"1f517\":0,\"1f4ce\":0,\"1f587\":0,\"1f4d0\":0,\"1f4cf\":0,\"1f9f7\":0,\"1f4cc\":0,\"1f4cd\":0,\"1f58a\":0,\"1f58b\":0,\"1f58c\":0,\"1f58d\":0,\"1f4dd\":0,\"270f\":0,\"1f50d\":0,\"1f50e\":0,\"1f50f\":0,\"1f510\":0,\"1f436\":0,\"1f431\":0,\"1f42d\":0,\"1f439\":0,\"1f430\":0,\"1f98a\":0,\"1f99d\":0,\"1f43b\":0,\"1f43c\":0,\"1f998\":0,\"1f9a1\":0,\"1f428\":0,\"1f42f\":0,\"1f981\":0,\"1f42e\":0,\"1f437\":0,\"1f43d\":0,\"1f438\":0,\"1f435\":0,\"1f648\":0,\"1f649\":0,\"1f64a\":0,\"1f412\":0,\"1f414\":0,\"1f427\":0,\"1f426\":0,\"1f424\":0,\"1f423\":0,\"1f425\":0,\"1f986\":0,\"1f9a2\":0,\"1f985\":0,\"1f989\":0,\"1f99c\":0,\"1f99a\":0,\"1f987\":0,\"1f43a\":0,\"1f417\":0,\"1f434\":0,\"1f984\":0,\"1f41d\":0,\"1f41b\":0,\"1f98b\":0,\"1f40c\":0,\"1f41a\":0,\"1f41e\":0,\"1f41c\":0,\"1f997\":0,\"1f577\":0,\"1f578\":0,\"1f982\":0,\"1f99f\":0,\"1f9a0\":0,\"1f422\":0,\"1f40d\":0,\"1f98e\":0,\"1f996\":0,\"1f995\":0,\"1f419\":0,\"1f991\":0,\"1f990\":0,\"1f980\":0,\"1f99e\":0,\"1f421\":0,\"1f420\":0,\"1f41f\":0,\"1f42c\":0,\"1f433\":0,\"1f40b\":0,\"1f988\":0,\"1f40a\":0,\"1f405\":0,\"1f406\":0,\"1f993\":0,\"1f98d\":0,\"1f418\":0,\"1f98f\":0,\"1f99b\":0,\"1f42a\":0,\"1f42b\":0,\"1f992\":0,\"1f999\":0,\"1f403\":0,\"1f402\":0,\"1f404\":0,\"1f40e\":0,\"1f416\":0,\"1f40f\":0,\"1f411\":0,\"1f410\":0,\"1f98c\":0,\"1f415\":0,\"1f429\":0,\"1f408\":0,\"1f413\":0,\"1f983\":0,\"1f54a\":0,\"1f407\":0,\"1f401\":0,\"1f400\":0,\"1f43f\":0,\"1f994\":0,\"1f43e\":0,\"1f409\":0,\"1f432\":0,\"1f335\":0,\"1f384\":0,\"1f332\":0,\"1f333\":0,\"1f334\":0,\"1f331\":0,\"1f33f\":0,\"1f340\":0,\"1f38d\":0,\"1f38b\":0,\"1f343\":0,\"1f342\":0,\"1f341\":0,\"1f344\":0,\"1f33e\":0,\"1f490\":0,\"1f337\":0,\"1f339\":0,\"1f940\":0,\"1f33a\":0,\"1f338\":0,\"1f33c\":0,\"1f33b\":0,\"1f31e\":0,\"1f31d\":0,\"1f31b\":0,\"1f31c\":0,\"1f31a\":0,\"1f315\":0,\"1f316\":0,\"1f317\":0,\"1f318\":0,\"1f311\":0,\"1f312\":0,\"1f313\":0,\"1f314\":0,\"1f319\":0,\"1f30e\":0,\"1f30d\":0,\"1f30f\":0,\"1f4ab\":0,\"2b50\":0,\"1f31f\":0,\"26a1\":0,\"1f4a5\":0,\"1f525\":0,\"1f32a\":0,\"1f308\":0,\"1f324\":0,\"26c5\":0,\"1f325\":0,\"1f326\":0,\"1f327\":0,\"26c8\":0,\"1f329\":0,\"1f328\":0,\"26c4\":0,\"1f32c\":0,\"1f4a8\":0,\"1f4a7\":0,\"1f4a6\":0,\"1f30a\":0,\"1f32b\":0,\"1f34f\":0,\"1f34e\":0,\"1f350\":0,\"1f34a\":0,\"1f34b\":0,\"1f34c\":0,\"1f349\":0,\"1f347\":0,\"1f353\":0,\"1f348\":0,\"1f352\":0,\"1f351\":0,\"1f96d\":0,\"1f34d\":0,\"1f965\":0,\"1f95d\":0,\"1f345\":0,\"1f346\":0,\"1f951\":0,\"1f966\":0,\"1f96c\":0,\"1f952\":0,\"1f336\":0,\"1f33d\":0,\"1f955\":0,\"1f954\":0,\"1f360\":0,\"1f950\":0,\"1f35e\":0,\"1f956\":0,\"1f968\":0,\"1f96f\":0,\"1f9c0\":0,\"1f95a\":0,\"1f373\":0,\"1f95e\":0,\"1f953\":0,\"1f969\":0,\"1f357\":0,\"1f356\":0,\"1f32d\":0,\"1f354\":0,\"1f35f\":0,\"1f355\":0,\"1f96a\":0,\"1f959\":0,\"1f32e\":0,\"1f32f\":0,\"1f957\":0,\"1f958\":0,\"1f96b\":0,\"1f35d\":0,\"1f35c\":0,\"1f372\":0,\"1f35b\":0,\"1f363\":0,\"1f371\":0,\"1f364\":0,\"1f359\":0,\"1f35a\":0,\"1f358\":0,\"1f365\":0,\"1f960\":0,\"1f362\":0,\"1f361\":0,\"1f367\":0,\"1f368\":0,\"1f366\":0,\"1f967\":0,\"1f370\":0,\"1f382\":0,\"1f96e\":0,\"1f9c1\":0,\"1f36e\":0,\"1f36d\":0,\"1f36c\":0,\"1f36b\":0,\"1f37f\":0,\"1f9c2\":0,\"1f369\":0,\"1f95f\":0,\"1f36a\":0,\"1f330\":0,\"1f95c\":0,\"1f36f\":0,\"1f95b\":0,\"1f37c\":0,\"1f375\":0,\"1f964\":0,\"1f376\":0,\"1f37a\":0,\"1f37b\":0,\"1f942\":0,\"1f377\":0,\"1f943\":0,\"1f378\":0,\"1f379\":0,\"1f37e\":0,\"1f944\":0,\"1f374\":0,\"1f37d\":0,\"1f963\":0,\"1f961\":0,\"1f962\":0,\"1f600\":0,\"1f603\":0,\"1f604\":0,\"1f601\":0,\"1f606\":0,\"1f605\":0,\"1f602\":0,\"1f923\":0,\"263a\":0,\"1f60a\":0,\"1f607\":0,\"1f642\":0,\"1f643\":0,\"1f609\":0,\"1f60c\":0,\"1f60d\":0,\"1f618\":0,\"1f970\":0,\"1f617\":0,\"1f619\":0,\"1f61a\":0,\"1f60b\":0,\"1f61b\":0,\"1f61d\":0,\"1f61c\":0,\"1f92a\":0,\"1f928\":0,\"1f9d0\":0,\"1f913\":0,\"1f60e\":0,\"1f929\":0,\"1f973\":0,\"1f60f\":0,\"1f612\":0,\"1f61e\":0,\"1f614\":0,\"1f61f\":0,\"1f615\":0,\"1f641\":0,\"1f623\":0,\"1f616\":0,\"1f62b\":0,\"1f629\":0,\"1f622\":0,\"1f62d\":0,\"1f624\":0,\"1f620\":0,\"1f621\":0,\"1f92c\":0,\"1f92f\":0,\"1f633\":0,\"1f631\":0,\"1f628\":0,\"1f630\":0,\"1f975\":0,\"1f976\":0,\"1f97a\":0,\"1f625\":0,\"1f613\":0,\"1f917\":0,\"1f914\":0,\"1f92d\":0,\"1f92b\":0,\"1f925\":0,\"1f636\":0,\"1f610\":0,\"1f611\":0,\"1f62c\":0,\"1f644\":0,\"1f62f\":0,\"1f626\":0,\"1f627\":0,\"1f62e\":0,\"1f632\":0,\"1f634\":0,\"1f924\":0,\"1f62a\":0,\"1f635\":0,\"1f910\":0,\"1f974\":0,\"1f922\":0,\"1f92e\":0,\"1f927\":0,\"1f637\":0,\"1f912\":0,\"1f915\":0,\"1f911\":0,\"1f920\":0,\"1f608\":0,\"1f47f\":0,\"1f479\":0,\"1f47a\":0,\"1f921\":0,\"1f4a9\":0,\"1f47b\":0,\"1f480\":0,\"1f47d\":0,\"1f47e\":0,\"1f916\":0,\"1f383\":0,\"1f63a\":0,\"1f638\":0,\"1f639\":0,\"1f63b\":0,\"1f63c\":0,\"1f63d\":0,\"1f640\":0,\"1f63f\":0,\"1f63e\":0,\"1f932\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f450\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f64c\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f44f\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f91d\":0,\"1f44d\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f44e\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f44a\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"270a\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f91b\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f91c\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f91e\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"270c\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f91f\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f918\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f44c\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f448\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f449\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f446\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f447\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"261d\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"270b\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f91a\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f590\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f596\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f44b\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f919\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f4aa\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f9b5\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f9b6\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f595\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"270d\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f64f\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f48d\":0,\"1f484\":0,\"1f48b\":0,\"1f444\":0,\"1f445\":0,\"1f442\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f443\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f463\":0,\"1f440\":0,\"1f9e0\":0,\"1f9b4\":0,\"1f9b7\":0,\"1f5e3\":0,\"1f464\":0,\"1f465\":0,\"1f476\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f467\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f9d2\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f466\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f469\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2764\":{\"e\":1,\"s\":{\"fe0f\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f468\":0,\"1f469\":0,\"1f48b\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f468\":0,\"1f469\":0}}}}}}}}}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0,\"1f469\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f466\":{\"e\":1,\"s\":{\"200d\":{\"e\":0,\"s\":{\"1f466\":0}}}},\"1f467\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f466\":0,\"1f467\":0}}}}}}}},\"1f466\":{\"e\":1,\"s\":{\"200d\":{\"e\":0,\"s\":{\"1f466\":0}}}},\"1f467\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f466\":0,\"1f467\":0}}}}}}}},\"1f9d1\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f468\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0}}}},\"200d\":{\"e\":1,\"s\":{\"2695\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2696\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2708\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2764\":{\"e\":1,\"s\":{\"fe0f\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f468\":0,\"1f48b\":{\"e\":0,\"s\":{\"200d\":{\"e\":0,\"s\":{\"1f468\":0}}}}}}}}}},\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f33e\":0,\"1f373\":0,\"1f393\":0,\"1f3a4\":0,\"1f3eb\":0,\"1f3ed\":0,\"1f4bb\":0,\"1f4bc\":0,\"1f527\":0,\"1f52c\":0,\"1f3a8\":0,\"1f692\":0,\"1f680\":0,\"1f469\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f466\":{\"e\":1,\"s\":{\"200d\":{\"e\":0,\"s\":{\"1f466\":0}}}},\"1f467\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f466\":0,\"1f467\":0}}}}}}}},\"1f468\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f466\":{\"e\":1,\"s\":{\"200d\":{\"e\":0,\"s\":{\"1f466\":0}}}},\"1f467\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f466\":0,\"1f467\":0}}}}}}}},\"1f466\":{\"e\":1,\"s\":{\"200d\":{\"e\":0,\"s\":{\"1f466\":0}}}},\"1f467\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"1f466\":0,\"1f467\":0}}}}}}}},\"1f471\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9d4\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f475\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f9d3\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f474\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f472\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f473\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9d5\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f46e\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f477\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f482\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f575\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"fe0f\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}}}},\"1f470\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f935\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f478\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f934\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f936\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fd\":0,\"1f3fc\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f385\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f9b8\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9b9\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9d9\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9dd\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9db\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9df\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9de\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9dc\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9da\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f47c\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f930\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f931\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f647\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f481\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f645\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f646\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f64b\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f926\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f937\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f64e\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f64d\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f487\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f486\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f9d6\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f485\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f933\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f483\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f57a\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3ff\":0,\"1f3fe\":0}},\"1f46f\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f574\":{\"e\":1,\"s\":{\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}},\"1f6b6\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3c3\":{\"e\":1,\"s\":{\"1f3fb\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fc\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fd\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3fe\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f3ff\":{\"e\":1,\"s\":{\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"200d\":{\"e\":1,\"s\":{\"2640\":{\"e\":0,\"s\":{\"fe0f\":0}},\"2642\":{\"e\":0,\"s\":{\"fe0f\":0}}}}}},\"1f46b\":0,\"1f46d\":0,\"1f46c\":0,\"1f491\":0,\"1f48f\":0,\"1f46a\":0,\"1f9e5\":0,\"1f45a\":0,\"1f455\":0,\"1f456\":0,\"1f454\":0,\"1f457\":0,\"1f459\":0,\"1f458\":0,\"1f97c\":0,\"1f460\":0,\"1f461\":0,\"1f462\":0,\"1f45e\":0,\"1f45f\":0,\"1f97e\":0,\"1f97f\":0,\"1f9e6\":0,\"1f9e4\":0,\"1f9e3\":0,\"1f3a9\":0,\"1f9e2\":0,\"1f452\":0,\"1f393\":0,\"26d1\":0,\"1f451\":0,\"1f45d\":0,\"1f45b\":0,\"1f45c\":0,\"1f4bc\":0,\"1f392\":0,\"1f453\":0,\"1f576\":0,\"1f97d\":0,\"1f302\":0,\"1f9b0\":0,\"1f9b1\":0,\"1f9b3\":0,\"1f9b2\":0,\"1f1ff\":{\"e\":1,\"s\":{\"1f1e6\":0,\"1f1f2\":0,\"1f1fc\":0}},\"1f1fe\":{\"e\":1,\"s\":{\"1f1f9\":0,\"1f1ea\":0}},\"1f1fd\":{\"e\":1,\"s\":{\"1f1f0\":0}},\"1f1fc\":{\"e\":1,\"s\":{\"1f1f8\":0,\"1f1eb\":0}},\"1f1fb\":{\"e\":1,\"s\":{\"1f1ec\":0,\"1f1e8\":0,\"1f1ee\":0,\"1f1fa\":0,\"1f1e6\":0,\"1f1ea\":0,\"1f1f3\":0}},\"1f1fa\":{\"e\":1,\"s\":{\"1f1ec\":0,\"1f1e6\":0,\"1f1f8\":0,\"1f1fe\":0,\"1f1ff\":0,\"1f1f2\":0,\"1f1f3\":0}},\"1f1f9\":{\"e\":1,\"s\":{\"1f1e9\":0,\"1f1eb\":0,\"1f1fc\":0,\"1f1ef\":0,\"1f1ff\":0,\"1f1ed\":0,\"1f1f1\":0,\"1f1ec\":0,\"1f1f0\":0,\"1f1f4\":0,\"1f1f9\":0,\"1f1f3\":0,\"1f1f7\":0,\"1f1f2\":0,\"1f1e8\":0,\"1f1fb\":0,\"1f1e6\":0}},\"1f1f8\":{\"e\":1,\"s\":{\"1f1fb\":0,\"1f1f2\":0,\"1f1f9\":0,\"1f1e6\":0,\"1f1f3\":0,\"1f1e8\":0,\"1f1f1\":0,\"1f1ec\":0,\"1f1fd\":0,\"1f1f0\":0,\"1f1ee\":0,\"1f1e7\":0,\"1f1f4\":0,\"1f1f8\":0,\"1f1ed\":0,\"1f1e9\":0,\"1f1f7\":0,\"1f1ff\":0,\"1f1ea\":0,\"1f1fe\":0,\"1f1ef\":0}},\"1f1f7\":{\"e\":1,\"s\":{\"1f1ea\":0,\"1f1f4\":0,\"1f1fa\":0,\"1f1fc\":0,\"1f1f8\":0}},\"1f1f6\":{\"e\":1,\"s\":{\"1f1e6\":0}},\"1f1f5\":{\"e\":1,\"s\":{\"1f1eb\":0,\"1f1f0\":0,\"1f1fc\":0,\"1f1f8\":0,\"1f1e6\":0,\"1f1ec\":0,\"1f1fe\":0,\"1f1ea\":0,\"1f1ed\":0,\"1f1f3\":0,\"1f1f1\":0,\"1f1f9\":0,\"1f1f7\":0,\"1f1f2\":0}},\"1f1f4\":{\"e\":1,\"s\":{\"1f1f2\":0}},\"1f1f3\":{\"e\":1,\"s\":{\"1f1e6\":0,\"1f1f7\":0,\"1f1f5\":0,\"1f1f1\":0,\"1f1e8\":0,\"1f1ff\":0,\"1f1ee\":0,\"1f1ea\":0,\"1f1ec\":0,\"1f1fa\":0,\"1f1eb\":0,\"1f1f4\":0}},\"1f1f2\":{\"e\":1,\"s\":{\"1f1f4\":0,\"1f1f0\":0,\"1f1ec\":0,\"1f1fc\":0,\"1f1fe\":0,\"1f1fb\":0,\"1f1f1\":0,\"1f1f9\":0,\"1f1ed\":0,\"1f1f6\":0,\"1f1f7\":0,\"1f1fa\":0,\"1f1fd\":0,\"1f1e9\":0,\"1f1e8\":0,\"1f1f3\":0,\"1f1ea\":0,\"1f1f8\":0,\"1f1e6\":0,\"1f1ff\":0,\"1f1f2\":0,\"1f1f5\":0,\"1f1eb\":0}},\"1f1f1\":{\"e\":1,\"s\":{\"1f1e6\":0,\"1f1fb\":0,\"1f1e7\":0,\"1f1f8\":0,\"1f1f7\":0,\"1f1fe\":0,\"1f1ee\":0,\"1f1f9\":0,\"1f1fa\":0,\"1f1f0\":0,\"1f1e8\":0}},\"1f1f0\":{\"e\":1,\"s\":{\"1f1ed\":0,\"1f1fe\":0,\"1f1f2\":0,\"1f1ff\":0,\"1f1ea\":0,\"1f1ee\":0,\"1f1fc\":0,\"1f1ec\":0,\"1f1f5\":0,\"1f1f7\":0,\"1f1f3\":0}},\"1f1ef\":{\"e\":1,\"s\":{\"1f1f2\":0,\"1f1f5\":0,\"1f1ea\":0,\"1f1f4\":0}},\"1f1ee\":{\"e\":1,\"s\":{\"1f1f4\":0,\"1f1e8\":0,\"1f1f8\":0,\"1f1f3\":0,\"1f1e9\":0,\"1f1f7\":0,\"1f1f6\":0,\"1f1ea\":0,\"1f1f2\":0,\"1f1f1\":0,\"1f1f9\":0}},\"1f1ed\":{\"e\":1,\"s\":{\"1f1f7\":0,\"1f1f9\":0,\"1f1f3\":0,\"1f1f0\":0,\"1f1fa\":0,\"1f1f2\":0}},\"1f1ec\":{\"e\":1,\"s\":{\"1f1f6\":0,\"1f1eb\":0,\"1f1e6\":0,\"1f1f2\":0,\"1f1ea\":0,\"1f1ed\":0,\"1f1ee\":0,\"1f1f7\":0,\"1f1f1\":0,\"1f1e9\":0,\"1f1f5\":0,\"1f1fa\":0,\"1f1f9\":0,\"1f1ec\":0,\"1f1f3\":0,\"1f1fc\":0,\"1f1fe\":0,\"1f1f8\":0,\"1f1e7\":0}},\"1f1eb\":{\"e\":1,\"s\":{\"1f1f0\":0,\"1f1f4\":0,\"1f1ef\":0,\"1f1ee\":0,\"1f1f7\":0,\"1f1f2\":0}},\"1f1ea\":{\"e\":1,\"s\":{\"1f1e8\":0,\"1f1ec\":0,\"1f1f7\":0,\"1f1ea\":0,\"1f1f9\":0,\"1f1fa\":0,\"1f1f8\":0,\"1f1ed\":0,\"1f1e6\":0}},\"1f1e9\":{\"e\":1,\"s\":{\"1f1ff\":0,\"1f1f0\":0,\"1f1ef\":0,\"1f1f2\":0,\"1f1f4\":0,\"1f1ea\":0,\"1f1ec\":0}},\"1f1e8\":{\"e\":1,\"s\":{\"1f1f2\":0,\"1f1e6\":0,\"1f1fb\":0,\"1f1eb\":0,\"1f1f1\":0,\"1f1f3\":0,\"1f1fd\":0,\"1f1e8\":0,\"1f1f4\":0,\"1f1ec\":0,\"1f1e9\":0,\"1f1f0\":0,\"1f1f7\":0,\"1f1ee\":0,\"1f1fa\":0,\"1f1fc\":0,\"1f1fe\":0,\"1f1ff\":0,\"1f1ed\":0,\"1f1f5\":0}},\"1f1e7\":{\"e\":1,\"s\":{\"1f1f8\":0,\"1f1ed\":0,\"1f1e9\":0,\"1f1e7\":0,\"1f1fe\":0,\"1f1ea\":0,\"1f1ff\":0,\"1f1ef\":0,\"1f1f2\":0,\"1f1f9\":0,\"1f1f4\":0,\"1f1e6\":0,\"1f1fc\":0,\"1f1f7\":0,\"1f1f3\":0,\"1f1ec\":0,\"1f1eb\":0,\"1f1ee\":0,\"1f1f6\":0,\"1f1f1\":0,\"1f1fb\":0}},\"1f1e6\":{\"e\":1,\"s\":{\"1f1eb\":0,\"1f1fd\":0,\"1f1f1\":0,\"1f1f8\":0,\"1f1e9\":0,\"1f1f4\":0,\"1f1ee\":0,\"1f1f6\":0,\"1f1ec\":0,\"1f1f7\":0,\"1f1f2\":0,\"1f1fc\":0,\"1f1fa\":0,\"1f1f9\":0,\"1f1ff\":0,\"1f1ea\":0,\"1f1e8\":0}},\"1f697\":0,\"1f695\":0,\"1f699\":0,\"1f68c\":0,\"1f68e\":0,\"1f3ce\":0,\"1f693\":0,\"1f691\":0,\"1f692\":0,\"1f690\":0,\"1f69a\":0,\"1f69b\":0,\"1f69c\":0,\"1f6f4\":0,\"1f6b2\":0,\"1f6f5\":0,\"1f3cd\":0,\"1f6a8\":0,\"1f694\":0,\"1f68d\":0,\"1f698\":0,\"1f696\":0,\"1f6a1\":0,\"1f6a0\":0,\"1f69f\":0,\"1f683\":0,\"1f68b\":0,\"1f69e\":0,\"1f69d\":0,\"1f684\":0,\"1f685\":0,\"1f688\":0,\"1f682\":0,\"1f686\":0,\"1f687\":0,\"1f68a\":0,\"1f689\":0,\"1f6eb\":0,\"1f6ec\":0,\"1f6e9\":0,\"1f4ba\":0,\"1f9f3\":0,\"1f6f0\":0,\"1f680\":0,\"1f6f8\":0,\"1f681\":0,\"1f6f6\":0,\"26f5\":0,\"1f6a4\":0,\"1f6e5\":0,\"1f6f3\":0,\"26f4\":0,\"1f6a2\":0,\"26fd\":0,\"1f6a7\":0,\"1f6a6\":0,\"1f6a5\":0,\"1f68f\":0,\"1f5fa\":0,\"1f5ff\":0,\"1f5fd\":0,\"1f5fc\":0,\"1f3f0\":0,\"1f3ef\":0,\"1f3df\":0,\"1f3a1\":0,\"1f3a2\":0,\"1f3a0\":0,\"26f2\":0,\"26f1\":0,\"1f3d6\":0,\"1f3dd\":0,\"1f3dc\":0,\"1f30b\":0,\"26f0\":0,\"1f3d4\":0,\"1f5fb\":0,\"1f3d5\":0,\"26fa\":0,\"1f3e0\":0,\"1f3e1\":0,\"1f3d8\":0,\"1f3da\":0,\"1f3d7\":0,\"1f3ed\":0,\"1f3e2\":0,\"1f3ec\":0,\"1f3e3\":0,\"1f3e4\":0,\"1f3e5\":0,\"1f3e6\":0,\"1f3e8\":0,\"1f3ea\":0,\"1f3eb\":0,\"1f3e9\":0,\"1f492\":0,\"1f3db\":0,\"26ea\":0,\"1f54c\":0,\"1f54d\":0,\"1f54b\":0,\"26e9\":0,\"1f6e4\":0,\"1f6e3\":0,\"1f5fe\":0,\"1f391\":0,\"1f3de\":0,\"1f305\":0,\"1f304\":0,\"1f320\":0,\"1f387\":0,\"1f386\":0,\"1f9e8\":0,\"1f307\":0,\"1f306\":0,\"1f3d9\":0,\"1f303\":0,\"1f30c\":0,\"1f309\":0,\"1f512\":0,\"1f513\":0,\"1f301\":0,\"1f3f3\":{\"e\":1,\"s\":{\"fe0f\":{\"e\":0,\"s\":{\"200d\":{\"e\":0,\"s\":{\"1f308\":0}}}}}},\"1f3f4\":{\"e\":1,\"s\":{\"200d\":{\"e\":0,\"s\":{\"2620\":{\"e\":0,\"s\":{\"fe0f\":0}}}},\"e0067\":{\"e\":1,\"s\":{\"e0062\":{\"e\":1,\"s\":{\"e0065\":{\"e\":0,\"s\":{\"e006e\":{\"e\":0,\"s\":{\"e0067\":{\"e\":0,\"s\":{\"e007f\":0}}}}}},\"e0073\":{\"e\":0,\"s\":{\"e0063\":{\"e\":0,\"s\":{\"e0074\":{\"e\":0,\"s\":{\"e007f\":0}}}}}},\"e0077\":{\"e\":0,\"s\":{\"e006c\":{\"e\":0,\"s\":{\"e0073\":{\"e\":0,\"s\":{\"e007f\":0}}}}}}}}}}}},\"1f3c1\":0,\"1f6a9\":0,\"1f38c\":0,\"1f3fb\":0,\"1f3fc\":0,\"1f3fd\":0,\"1f3fe\":0,\"1f3ff\":0}}");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		if(__webpack_module_cache__[moduleId]) {
/******/ 			return __webpack_module_cache__[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	// module exports must be returned from runtime so entry inlining is disabled
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(782);
/******/ })()
;
});